declare class ZipToolsManager {
    private readonly DOWNLOAD_URL;
    getBinaryName(): string;
    private getLibDirCandidates;
    getZipToolsPath(): Promise<string>;
    isInstalled(): Promise<boolean>;
    private downloadFromUrl;
    download(): Promise<void>;
    ensureInstalled(): Promise<void>;
    get7zBinaryName(): string;
    get7zPath(): Promise<string>;
    is7zInstalled(): Promise<boolean>;
    download7z(): Promise<void>;
    ensure7zInstalled(): Promise<void>;
    private buildProcessStartError;
    private execute7z;
    extract7z(archivePath: string, targetDir: string): Promise<void>;
    compress7z(archivePath: string, files: string[], cwd: string): Promise<void>;
    extractZip(zipPath: string, targetDir: string): Promise<void>;
    compressZip(zipPath: string, files: string[], cwd: string): Promise<void>;
    private executeZipTools;
}
export declare const zipToolsManager: ZipToolsManager;
export { ZipToolsManager };
